Skip to content

GET

GET
/api/config/namespaces/{namespace}/known_labels
curl --request GET \
--url 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/known_labels?query=QUERY_ALL_LABELS' \
--header 'Authorization: <Authorization>'

GET is generic label query. Two types of queries are supported Return label with exact matching entry label key = label value. Return list of labels that have prefix of label key = label value. Returns list of labels. Query will look into current tenants shared namespace and VES-I/O shared.

Examples of this operation.

namespace
required
string

Namespace Namespace for the label to be retrieved.

query
string
default: QUERY_ALL_LABELS
Allowed values: QUERY_ALL_LABELS QUERY_EXACT_LABEL QUERY_VALUE_PREFIX_LABELS QUERY_KEY_PREFIX_LABELS

Query type

Generic GET of all available labels for a given tenant GET exact match of label.key = label.value Or label.key(label.value) GET prefix match of label.key = label.value GET prefix match of label.key.

key
string

Key of the label to be retrieved.

value
string

Value of the label to be retrieved.

A successful response.

Media typeapplication/json
GetResponse

Response for GET API.

object
label
Label Type

Label Type.

Array<object>
Label Type

Generic Label type label.key(label.value)

object
description
description

Description of what this label means.

string
>= 21 characters <= 1024 characters
key
key

Label key

string
>= 7 characters <= 1024 characters
value
value

Label value.

string
>= 3 characters <= 1024 characters
Examplegenerated
{
"label": [
{
"description": "example",
"key": "example",
"value": "example"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example